Frage Qt-sdk Setup verursacht Segmentierungsfehler


Sofort nachdem ich angefangen habe ./qt-sdk-linux-x86-opensource-2010.05.1.bin Setup und drücken Sie Senden, ich bekomme einen "Segmentierung Fehler" im Terminal. Was soll ich machen?


1
2018-02-11 17:10


Ursprung


Es ist etwas über einen Segmentierungsfehler beim Setup ... aber ich denke Englisch wäre besser: D
"sudo ./qt-sdk-linux-x86-opensource-2010.05.1.bin", dann drücke ich als nächstes in "Setup"> dann "segmentation fault" im Terminal. wie repariert man? Entschuldigung für mein eng =)


Antworten:


Sie müssen wahrscheinlich das "offizielle" Qt SDK nicht installieren, um Linux Qt-Entwicklung zu machen. Sie können die Qt-Entwicklungsbibliotheken installieren (libqt4-devusw.) und Programme (z. B. Qt-Ersteller) aus den Ubuntu-Repositories. Wenn Sie versuchen, Ihr eigenes versionsspezifisches Qt-Programm zu kompilieren, das in Ubuntu verfügbar ist, können Sie es ausführen sudo apt-get build-dep [ubuntu package name] um die Bibliotheken zu erhalten, von denen das Programm abhängt.


0
2018-02-11 21:30